Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class SWRLRuleImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.SWRLRuleImpl

All Implemented Interfaces:
  SWRLRule

    public class SWRLRuleImpl

extends Object
implements SWRLRule

Class implementing a SWRL rule

Constructor Summary
`SWRLRuleImpl(String ruleName, List<Atom> bodyAtoms, List<Atom> headAtoms)`

Method Summary
`void` | `appendAtomsToBody(List<Atom> atoms)`
`List<Atom>` | `getBodyAtoms()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromBody()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromBody(Set<String> builtInNames)`
`List<BuiltInAtom>` | `getBuiltInAtomsFromHead()`
`List<BuiltInAtom>` | `getBuiltInAtomsFromHead(Set<String> builtInNames)`
`List<Atom>` | `getHeadAtoms()`
`String` | `getRuleName()`
`List<Atom>` | `getSQWRLPhase1BodyAtoms()`
`List<Atom>` | `getSQWRLPhase2BodyAtoms()`
`ResultImpl` | `getSQWRLResult()`
`boolean` | `isSQWRL()`
`String` | `toString()`
`boolean` | `usesSQWRLCollections()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWRLRuleImpl

    public SWRLRuleImpl(String ruleName,
                        List<Atom> bodyAtoms,
                        List<Atom> headAtoms)
                 throws BuiltInException,
                        SQWRLException

Throws:
  `BuiltInException`
  `SQWRLException`

Method Detail

### getRuleName

    public String getRuleName()

  Specified by:
    `getRuleName` in interface `SWRLRule`

### getHeadAtoms

    public List<Atom> getHeadAtoms()

  Specified by:
    `getHeadAtoms` in interface `SWRLRule`

### getBodyAtoms

    public List<Atom> getBodyAtoms()

  Specified by:
    `getBodyAtoms` in interface `SWRLRule`

### isSQWRL

    public boolean isSQWRL()

  Specified by:
    `isSQWRL` in interface `SWRLRule`

### usesSQWRLCollections

    public boolean usesSQWRLCollections()

  Specified by:
    `usesSQWRLCollections` in interface `SWRLRule`

### getBuiltInAtomsFromHead

    public List<BuiltInAtom> getBuiltInAtomsFromHead()

  Specified by:
    `getBuiltInAtomsFromHead` in interface `SWRLRule`

### getBuiltInAtomsFromHead

    public List<BuiltInAtom> getBuiltInAtomsFromHead(Set<String> builtInNames)

  Specified by:
    `getBuiltInAtomsFromHead` in interface `SWRLRule`

### getBuiltInAtomsFromBody

    public List<BuiltInAtom> getBuiltInAtomsFromBody()

  Specified by:
    `getBuiltInAtomsFromBody` in interface `SWRLRule`

### getBuiltInAtomsFromBody

    public List<BuiltInAtom> getBuiltInAtomsFromBody(Set<String> builtInNames)

  Specified by:
    `getBuiltInAtomsFromBody` in interface `SWRLRule`

### appendAtomsToBody

    public void appendAtomsToBody(List<Atom> atoms)

  Specified by:
    `appendAtomsToBody` in interface `SWRLRule`

### getSQWRLPhase1BodyAtoms

    public List<Atom> getSQWRLPhase1BodyAtoms()

  Specified by:
    `getSQWRLPhase1BodyAtoms` in interface `SWRLRule`

### getSQWRLPhase2BodyAtoms

    public List<Atom> getSQWRLPhase2BodyAtoms()

  Specified by:
    `getSQWRLPhase2BodyAtoms` in interface `SWRLRule`

### getSQWRLResult

    public ResultImpl getSQWRLResult()

  Specified by:
    `getSQWRLResult` in interface `SWRLRule`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.